{ config, lib, pkgs, user, theme, ... }:

{
  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";

    packages = with pkgs; [
      unstable.eza
      firefox
      jq
      htop
      ripgrep
      pavucontrol
      gnumake
      unzip
      gcc
      slack
      thunderbird
      nextcloud-client
      keepassxc
      tree
      light
      element-desktop
      difftastic
      unstable.zoom-us
      darktable
      kubectl
      kubectx
      gnome.simple-scan
      calibre
    ];

    stateVersion = "22.05";
  };

  programs.home-manager.enable = true;

  imports = [
    ./home-manager/fzf.nix
    ./home-manager/git.nix
    ./home-manager/kitty.nix
    ./home-manager/neovim
    ./home-manager/gpg
    ./home-manager/zsh.nix
    ./home-manager/starship.nix
    ./home-manager/sway
    ./home-manager/direnv.nix
    ./home-manager/bat.nix
  ];
}
